/*		ANIMATIONS		*/

.animation--shake-left:not(:hover) {
	animation: shake-left 3s infinite;
}

.animation--shake-right:not(:hover) {
	animation: shake-right 3s infinite;
}

.animation--pulse {
	animation: pulse 10s infinite;
}

@keyframes shake-left {
	47% {
		transform: rotateZ(0deg);
	}
	
	50% {
		transform: rotateZ(-1deg)
	}
	
	53% {
		transform: rotateZ(0deg);
	}
	
	56% {
		transform: rotateZ(-1deg);
	}
	
	to {
		transform: rotateZ(0deg);
	}
}

@keyframes shake-right {
	47% {
		transform: rotateZ(0deg);
	}
	
	50% {
		transform: rotateZ(1deg)
	}
	
	53% {
		transform: rotateZ(0deg);
	}
	
	56% {
		transform: rotateZ(1deg);
	}
	
	to {
		transform: rotateZ(0deg);
	}
}

@keyframes pulse {
	44.5% {
		opacity: 1;
	}
	
	45% {
		opacity: 0.5;
	}
	
	45.5% {
		opacity: 1;
	}
	46% {
		opacity: 0.5;
	}
	
	46.5% {
		opacity: 1;
	}

	47% {
		opacity: 0,7;
	}
	
	47.3% {
		opacity: 0;
	}

	47.6% {
		opacity: 0,7;
	}
	
	48% {
		opacity: 0;
	}

	48.3% {
		opacity: 0,7;
	}
	
	48.6% {
		opacity: 0;
	}

	49% {
		opacity: 0,7;
	}
	
	49.3% {
		opacity: 0;
	}

	49.6% {
		opacity: 0,7;
	}
	
	50% {
		opacity: 0;
	}
	
	50.3% {
		opacity: 0,7;
	}
	
	50.6% {
		opacity: 0;
	}
	
	51% {
		opacity: 0,7;
	}
	
	51.3% {
		opacity: 0;
	}
	
	
	/* FLICKERING END */

	57.5% {
		opacity: 0;
	}

	58% {
		opacity: 0.7;
	}

	58.5% {
		opacity: 0;
	}

	60% {
		opacity: 1;
	}
}